# $Revision: 1.28 $, $Date: 2006/12/04 10:08:28 $
# TODO:
# - cron?
%define		mod_name	bw
%define 	apxs		/usr/sbin/apxs
Summary:	Apache module: bandwidth limits
Summary(pl):	Modu do Apache: limity pasma
Name:		apache-mod_%{mod_name}
Version:	0.6
Release:	3
License:	Apache
Group:		Networking/Daemons
Source0:	http://www.ivn.cl/apache/bw_mod-%{version}.tgz
# Source0-md5:	0c92fa6344f487321291a592dbb49856
Source1:	%{name}.conf
Patch0:		%{name}-apr_1.0.patch
URL:		http://www.ivn.cl/apache/
BuildRequires:	%{apxs}
BuildRequires:	apache-devel >= 2.0.0
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed >= 4.0
Requires:	apache(modules-api) = %apache_modules_api
Requires:	crondaemon
Requires:	procps
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)

%description
"Mod_bandwidth" is a module for the Apache webserver that enable the
setting of server-wide or per connection bandwidth limits, based on
the directory, size of files and remote IP/domain.

%description -l pl
Modu pozwalajcy na ograniczanie pasma serwera Apache bazujc na
katalogu, wielkoci plikw lub zdalnym IP/domenie.

%prep
%setup -q -n bw_mod-%{version}
%patch0 -p1
sed -i -e 's@include "apr@include "apr/apr@g' bw_mod-%{version}.c
sed -i -e 's@^.*apr_buckets.h.*$@@' bw_mod-%{version}.c

%build
%{apxs} -c bw_mod-%{version}.c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}/httpd.conf} \
	$RPM_BUILD_ROOT%{_var}/run/%{name}/{link,master} \
	$RPM_BUILD_ROOT{/etc/cron.d,%{_sbindir}}

install .libs/bw_mod-%{version}.so $RPM_BUILD_ROOT%{_pkglibdir}/mod_%{mod_name}.so
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf/97_mod_%{mod_name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q httpd restart

%postun
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc bw_mod-%{version}.txt LICENSE
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*.so
#%config(noreplace) %verify(not size mtime md5) %attr(640,root,root) /etc/cron.d/%{name}
#%attr(755,root,root) %{_sbindir}/*
%attr(750,http,root) %dir %{_var}/run/%{name}
%attr(750,http,root) %dir %{_var}/run/%{name}/link
%attr(750,http,root) %dir %{_var}/run/%{name}/master

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache-mod_bw.spec,v $
Revision 1.28  2006/12/04 10:08:28  undefine
- use modules/ path, fix use on systems with lib64
- release 3

Revision 1.27  2006/04/14 17:07:56  glen
- restart apache in %postun rather in %preun as the config file, loading module
  is still there and module will be loaded after package is uninstalled, which
  later causes missing configuration file errors.

Revision 1.26  2006/01/30 17:39:10  glen
- use %service

Revision 1.25  2005/12/27 01:33:00  glen
- unified files

Revision 1.24  2005/12/26 19:12:50  glen
- unified

Revision 1.23  2005/12/21 23:15:37  glen
- rebuild with new apache
- kill pointless obsolete
- fix restart scriptlets
- rel 2

Revision 1.22  2005/12/12 13:44:44  glen
- adapterized (sorted %verify attrs)

Revision 1.21  2005/03/23 12:35:34  gotar
- %desc

Revision 1.20  2005/03/12 18:43:19  adamg
- reflect name change (mod_bandwidth -> mod_bw)
- release 1

Revision 1.19  2005/03/12 14:54:50  adamg
- fixed config file (default settings work)
- apply apr_1.0.patch (no more unresolved symbols)
- works fine, release 0.3

Revision 1.18  2005/03/12 12:55:08  adamg
- dropped %{_ver} macro, use %{version} where possible
- added LICENSE file
- added TODO entry (think about renaming this spec)
- release 0.2

Revision 1.17  2005/03/08 12:44:45  djrzulf
- cleanups, updated TODO,

Revision 1.16  2005/03/08 08:58:43  wolvverine
- correct %files section
- add conf file

Revision 1.15  2005/03/08 08:21:04  djrzulf
- builds,

Revision 1.14  2005/03/02 19:19:12  paszczus
- updated to 0.6, NFY

Revision 1.13  2005/03/02 19:14:23  mwinkler
- mod_bandwitch apache2, NFY
